@import 'global';

.texteSection {
    display: flex;
    flex-direction: column;
    justify-content: end;
    max-width: 800px;
    width: 100%;
    margin: 0 auto;
    color: $blanc;
    >.bouton {
        height: fit-content;
        position: fixed;
        right: 15px;
        border-color: $couleur_primaire;
        top: 15px;
        @include max980 {
            position: absolute;
        }
    }
    #basPage {
        display: flex;
        flex-direction: column;
        gap: 20px;
        width: 100%;
        margin: 0 auto;
        justify-content: space-between;
        .texte {
            display: block;
            width: inherit;
            min-height: 220px;
            max-height: 400px;
            overflow-y: auto;
            padding: 3em;
            border-radius: 20px;
            color: $noir;
            background-color: #dfdfdfca;
            text-align: justify;
            font-size: 15px;
            scrollbar-color: $couleur_primaire $blanc;
            position: relative;
            @include max1200 {
                max-height: 320px;
            }
            @include max767 {
                font-size: 13px;
                padding: 3em 1.5em 1.5em 1.5em;
            }
            @include max479 {
                font-size: 12px;
            }

            svg, path {
                position: absolute;
                width: 3em;
                height: 3em;
                object-fit: contain;
                right: 5px;
                top: 5px;
                @include max767 {
                    width: 1.5em;
                    height: 1.5em;

                }
            }
        }
        .action {
            display: flex;
            flex-direction: row;
            justify-content: space-around;
            gap: 10px;
            align-items: center;
            @include max479 {
                flex-wrap: wrap;
            }
            .dice {
                display: flex;
                justify-content: center;
            }
            h2, input, p {
                padding: 10px 15px;
                background-color: transparentize($blanc, 0.5);
                border-radius: 20px;
                color: $noir;
            }
            input {
                border-width: 0;
                border-color: $blanc;
                &::placeholder {
                    color: transparentize($noir, 0.35);
                }
            }
        }

        .finDeSection {
            flex-direction: column;
            text-align: center;
        }

        article {
            width: auto;
            
            button {
                width: 100%;
            }

            #somme {
                display: none;
            }
        }
    }

    .formulaire {
        width: 40%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 25px;

        #basPage{
            input {
                width: 100%;
                text-align: center;
                background-color: transparent;
                border-bottom: 2px solid #cccccc;
                padding: 10px 5px;
                transition: 0.4s ease-in-out;
                &::placeholder {
                    transition: 0.4s ease-in-out;
                }
                &:focus {
                    color: $couleur_primaire;
                    border-bottom-color: $couleur_primaire;
                    ::placeholder {
                        color: $couleur_primaire;
                    }
                }
            }
            .button {
                border: 0;
                transition: 0.5s;
                min-width: 15rem;
                padding: 1rem 2rem;
                font-size: 0.875rem;
                line-height: 1;
                font-weight: 500;
                cursor: pointer;
                text-decoration: none;
                text-transform: uppercase;
                background: $couleur_primaire;
                color: #fff;
            }
            .button.--border {
                border: 2px solid transparent;
            }
            .button.--border:hover {
                border-color: $couleur_primaire;
                color: $couleur_primaire;
                background: transparent;
            }
        }
    }
}